Kerbal Space Program - Bug #10874

Upside down pod not usable with SAS
08/30/2016 06:11 PM - luismarques
Description

Steps to reproduce:
1) Put Mk1 Command Pod.

2) Rotate pod until it is upside down

3) Add an FL-T400 tank and an LV-45 Swivel engine on the bottom (the smaller side of the pod, bottom of the screen)
4) Launch vehicle to launch pad

5) Activate SAS (Stability Assist mode)

6) Launch vehicle (i.e. activate first stage)

7) Watch SAS try to turn the rocket upside down

(Tested on OS X, but probably not platform-specific)

History

#1 - 08/30/2016 08:47 PM - MiniMatt
- File ksp-workaround10874.png added

I've a feeling this is going to be one of those things where the behaviour is tied to inherent properties of the navball code and changing it would either
be no small feat or would impact other operations in myriad ways. Navball orientation, what is up, what is down, what's east and what's west is tied to
the orientation of the controlling part.

The workaround is to add another control part, a docking port will do, as in the attached pic ksp-workaround10874.png - on the launch pad, click that

and select "control from here", and bingo, your navball is pointing "up", you're thrusting "up", and SAS will keep you pointing "up", even though your
pod and it's torque wheels are pointing down.

#2 - 08/31/2016 09:41 AM - sal_vager
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

I'm sorry but this is expected behaviour, the orientation of the root part or the part selected via 'control from here' in the part action window governs
the direction of the flight controls.

The craft you made is literally flying backwards.
#3 - 08/31/2016 01:57 PM - luismarques
sal_vager wrote:

I'm sorry but this is expected behaviour, the orientation of the root part or the part selected via 'control from here' in the part action window
governs the direction of the flight controls.

The craft you made is literally flying backwards.

But I'm not complaining that the human controls are backwards. I'm complaining that there's not reason the SAS stability couldn't adapt to a different
orientation of the control part. In other words, just because I'm driving my car in reverse (e.g. maybe for parking) doesn't mean the "keep a straight
line" option could not work.
#4 - 11/07/2016 07:29 PM - Daveroski

Your engine unfortunately is facing the opposite direction and when the SAS of your upside down pod says I'm going too far in this direction, the
engine thinks that it needs to swivel to compensate and in doing so swivels the wrong way. A minor adjustment quickly turns into a major one and
eventually it seems like the craft is 'trying' to right itself however it is only being turned by the erroneous information of the reversed command
orientation.

#5 - 11/07/2016 07:37 PM - Daveroski

Having just made a test myself only using the 'Reliant’ engine instead, | found that SAS could hold it and even allowed me to steer right up until drag
caused a problem. Drag pulled on one side of the ship but the upside down capsule responded to that force in the only directions it knows. This of
course pulled it further into the drag and the flight was shortly over.

Files

ksp-workaround10874.png 394 KB 08/30/2016 MiniMatt
